## xbmc 12.0~git20121220.0939-rc2

=== debian/changelog ===
xbmc (2:12.0~git20121220.0939-rc2-0ubuntu1) raring; urgency=low

  * New upstream release
     - Version 12.0 RC2 (.orig.tar.,gz from upstream PPA
       http://launchpad.net/~team-xbmc/+archive/ppa)
  * nexus7-fullscreen-fix.patch: Refreshed with quilt.
  * pvraddons-with-dependencies.patch, gitrev.patch: Patches overtaken from
    upstream PPA http://launchpad.net/~team-xbmc/+archive/ppa.
  * debian/control: Added build dependencies and runtime dependencies
    (binary package xbmc) according to upstream docs/README.ubuntu.
    New build dependencies: python-sqlite, libxrender-dev, libvorbisenc2,
    libhal-dev, mesa-utils, libmpeg3-dev, fp-compiler, gdc, libssh-dev,
    cvs, libusb-dev, libcap-dev, swig, default-jre, libtag1-dev,
    libsdl-gfx1.2-dev, libafpclient-dev, libcec-dev.
    New runtime dependencies: python-sqlite, python-bluez | python-lightblue,
    python-simplejson, libvorbisenc2, swig, default-jre, zip, unzip, curl,
    libmad0, libass4, libssh-4 | libssh2-1, libnfs1, libbluray1, libshairport1,
    libmp3lame0, libvorbisfile3, libaacs0, libflac8.
    Also new for xbmc binary package: Suggests: libva-intel-vaapi-driver and
    Recommends: libvdpau1
  * debian/rules, debian/xbmc.docs: Updated for new upstream version.
  * debian/postinst, debian/postrm: Install and remove collectsysteminfo.sh.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 23 Dec 2012 21:27:09 +0100

xbmc (2:11.0~git20120510.82388d5-1ubuntu8) raring; urgency=low

  * xbmc-startup-script-workarounds-for-arm.patch: Added another workaround to
    get the touchscreen of the Nexus 7 working in the fullscreen mode of XBMC
    (see http://forum.xbmc.org/showthread.php?tid=89536&pid=700557#pid700557).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 14 Dec 2012 11:27:30 +0100
