## xbmc 12.0~git20130103.0959-rc3

=== debian/changelog ===
xbmc (2:12.0~git20130103.0959-rc3-0ubuntu3) saucy; urgency=low

  * Depend on fonts-liberation instead of ttf-liberation

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 12 Sep 2013 07:47:14 +1000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu2) saucy; urgency=low

  * Disable hal support (LP: #1221254, Closes: #676702)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Sep 2013 10:20:55 +0200

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1b1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:08:21 +0000

xbmc (2:12.0~git20130103.0959-rc3-0ubuntu1) raring; urgency=low

  * New upstream release
     - Version 12.0 RC3 (.orig.tar.gz from upstream PPA
       http://launchpad.net/~team-xbmc/+archive/ppa)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 04 Jan 2013 21:11:52 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu8) raring; urgency=low

  * debian/patches/series: Re-activate nexus7-fullscreen-fix.patch it was
    not the culprit for XBMC not working on the Nexus 7.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 23:19:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu7) raring; urgency=low

  * debian/patches/series: Disable nexus7-fullscreen-fix.patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 14:51:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu6) raring; urgency=low

  * debian/rules: Disable openmax for now on ARM.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 11:38:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu5) raring; urgency=low

  * debian/rules: Build with --disable-vaapi --disable-vdpau on ARM.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 11:01:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu4) raring; urgency=low

  * debian/rules: Build without --enable-external-libraries.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:28:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu3) raring; urgency=low

  * debian/rules: Use --disable-libcec for now as xbmc does not build with
    current libcec.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:09:09 +0100

xbmc (2:12.0~git20121220.0939-rc2-0ubuntu2) raring; urgency=low

  * debian/control: Build-depend on gdc | gdc-4.4, as gdc is not available
    on armhf.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Dec 2012 10:04:09 +0100
