=== debian/control ===
--- 
+++ 
@@ -76,7 +76,6 @@
  libomxil-bellagio-dev [armel],
  python-imaging,
  libplist-dev,
- libhal-storage-dev,
  libcec-dev (>= 1.1),
  libudev-dev,
  libshairport-dev,
@@ -102,7 +101,7 @@
  mesa-utils,
  libmpeg3-dev,
  fp-compiler,
- gdc,
+ gdc | gdc-4.4,
  libssh-dev,
  cvs,
  libusb-dev,
@@ -123,7 +122,7 @@
 	 xbmc-bin (<< ${source:Version}.1~),
 	 mesa-utils,
 	 x11-utils,
-	 ttf-liberation,
+	 fonts-liberation,
 	 ttf-dejavu-core,
 	 python-imaging,
 	 python-sqlite,
