=== debian/rules ===
--- 
+++ 
@@ -34,26 +34,26 @@
     --disable-dvdcss \
     --disable-non-free
 endif
+DISTRO_SPECIFIC_OPTIONS =
 
-#ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
-#  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
-#else
-#  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
-#  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
-#endif
+ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
+  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
+else
+  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
+endif
 
 # Enable gles for arm and disable check for GL support on startup
 ifeq (,$(filter armel,$(DEB_HOST_ARCH)))
   ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
-    GL_CONFIG_OPTIONS = --enable-gl --disable-gles
+    GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vaapi --enable-vdpau
     OPENMAX_OPTIONS = --disable-openmax
   else
-    GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-    OPENMAX_OPTIONS = --enable-openmax
+    GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+    OPENMAX_OPTIONS = --disable-openmax
   endif
 else
-  GL_CONFIG_OPTIONS = --disable-gl --enable-gles
-  OPENMAX_OPTIONS = --enable-openmax
+  GL_CONFIG_OPTIONS = --disable-vaapi --disable-vdpau --disable-gl --enable-gles
+  OPENMAX_OPTIONS = --disable-openmax
 endif
 
 # Various environment variables to set
@@ -67,9 +67,6 @@
   --prefix=/usr --docdir=/usr/share/doc/xbmc \
   $(DEBUG_OPTIONS) \
   $(GL_CONFIG_OPTIONS) \
-  --enable-vdpau \
-  --enable-vaapi \
-  --enable-crystalhd \
   --disable-vdadecoder \
   --disable-vtbdecoder \
   $(OPENMAX_OPTIONS) \
@@ -82,19 +79,20 @@
   --enable-rtmp \
   --enable-ffmpeg-libvorbis \
   --disable-mid \
-  --enable-hal \
+  --disable-hal \
   --enable-avahi \
   --disable-asap-codec \
   --enable-webserver \
   --enable-optical-drive \
   --enable-texturepacker \
   --enable-nfs \
-  --enable-libcec \
+  --disable-libcec \
   --enable-afpclient \
   --enable-airtunes \
   --enable-libbluray \
   --enable-pvraddons-with-dependencies \
   $(DISTRO_SPECIFIC_OPTIONS) \
+  $(ARCH_SPECIFIC_OPTIONS) \
   $(XBMC_CONFIG_EXTRA_OPTIONS) \
   $(ENV_OPTIONS)
