## xbmc 12.3%2Bdfsg1

=== xbmc/input/Makefile ===
SRCS=ButtonTranslator.cpp \
     InertialScrollingHandler.cpp \
     KeyboardLayoutConfiguration.cpp \
     KeyboardStat.cpp \
     MouseStat.cpp \
     SDLJoystick.cpp \
     TouchInput.cpp \
     XBMC_keytable.cpp \
     
LIB=input.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
