=== xbmc/pvr/addons/Makefile ===
SRCS=PVRClient.cpp \
     PVRClients.cpp

LIB=pvraddons.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))
